> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/inventory.md).

# Inventory

Manage inventory workflows in VARIO Cloud via API, including inventory counts, state transitions, storage bins, revisions, and stock differences.

Inventory API.

## GET /wms/inventories/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}":{"get":{"tags":["Inventory"],"summary":"Find an existing Resource by identifier","operationId":"getById_5","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /wms/inventories/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}":{"put":{"tags":["Inventory"],"summary":"Update existing Resource ","operationId":"update_5","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## GET /wms/inventories/{id}/states

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/states":{"get":{"tags":["Inventory"],"operationId":"getInventoryTransitions","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryTransition"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryTransition":{"description":"Inventory transition.","properties":{"id":{"type":"integer","format":"int64","description":"Transition identifier."},"label":{"type":"string","description":"Transition label."},"uiHint":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /wms/inventories/{id}/states

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/states":{"put":{"tags":["Inventory"],"operationId":"transferToState","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryStateTransitionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryStateTransitionRequest":{"description":"Request for the inventory state transition.","properties":{"transitionId":{"type":"integer","format":"int64","description":"Transition identifier."},"parameters":{"type":"array","description":"Additional parameters for the transition.","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"foundArticlesToBookIntoInventory":{"type":"array","description":"Only for a closed inventory: articles found afterwards that still have to be booked.","items":{"$ref":"#/components/schemas/erp-wms-FoundArticleToBookIntoInventory"}}}},"common-api-AdditionalParameter":{"description":"Additional parameters.","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"erp-wms-FoundArticleToBookIntoInventory":{"description":"Article found that still has to be booked into an inventory.","properties":{"articleId":{"type":"integer","format":"int64","description":"Identifier of the article to book afterwards."},"storageId":{"type":"integer","format":"int64","description":"Only without storage bins: identifier of the storage the article is expected to be in."},"storageBinId":{"type":"integer","format":"int64","description":"Only for storages with storage bins: identifier of the storage bin the article is expected to be in."},"serialNumberId":{"type":"integer","format":"int64","description":"Serial number to book afterwards, if any."},"quantity":{"type":"number","description":"Quantity to book."}}},"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## GET /wms/inventories/{id}/products-without-purchase-price

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/products-without-purchase-price":{"get":{"tags":["Inventory"],"operationId":"getProductsWithoutPurchasePrice","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-ArticleWithPurchasePrice"}}}}}}}}},"components":{"schemas":{"erp-wms-ArticleWithPurchasePrice":{"description":"Article with purchase price.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"purchasePrice":{"type":"number","description":"Article purchase price."}},"required":["articleId"]}}}}
```

## PUT /wms/inventories/{id}/products-without-purchase-price

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/products-without-purchase-price":{"put":{"tags":["Inventory"],"operationId":"updateProductsWithPurchasePrice","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-ArticleWithPurchasePrice"}}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-wms-ArticleWithPurchasePrice":{"description":"Article with purchase price.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"purchasePrice":{"type":"number","description":"Article purchase price."}},"required":["articleId"]}}}}
```

## PUT /wms/inventories/{id}/countings/{inventoryCountingId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/countings/{inventoryCountingId}":{"put":{"tags":["Inventory"],"operationId":"updateInventoryCounting","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"inventoryCountingId","in":"path","description":"InventoryCounting identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Inventory counting list line.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Area in the storage."},"quantity":{"type":"number","description":"Counted quantity."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Was this counting created by an article found afterwards?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## DELETE /wms/inventories/{id}/countings/{inventoryCountingId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/countings/{inventoryCountingId}":{"delete":{"tags":["Inventory"],"operationId":"deleteInventoryCounting","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"inventoryCountingId","in":"path","description":"InventoryCounting identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /wms/inventories

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories":{"post":{"tags":["Inventory"],"summary":"Create new Resource","operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /wms/inventories/{id}/removeStorageBins

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/removeStorageBins":{"post":{"tags":["Inventory"],"operationId":"removeStorageBinsToInventory","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinSelectionApi":{"description":"Selection criteria for determining storage bins.","properties":{"pageable":{"$ref":"#/components/schemas/core-api-QueryPageableApi"},"storageId":{"type":"integer","format":"int64","description":"Storage a storage bin belongs to."},"storageAreaId":{"type":"integer","format":"int64","description":"Storage area a storage bin belongs to."},"onlyWithoutStorageArea":{"type":"boolean","default":false,"description":"Only storage bins without a storage area."},"defaultBin":{"type":"boolean","default":false,"description":"Default storage bin of a storage (only relevant for storages without storage bins)."},"level1":{"type":"string","description":"Level 1."},"level2":{"type":"string","description":"Level 2."},"level3":{"type":"string","description":"Level 3."},"level4":{"type":"string","description":"Level 4."},"level5":{"type":"string","description":"Level 5."},"level6":{"type":"string","description":"Level 6."},"shelfSpace":{"type":"boolean","default":false,"description":"Is this a normal shelf space?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Is this for incoming goods?"},"palletSpace":{"type":"boolean","default":false,"description":"Is this for pallets and replenishment quantities?"},"clarifySpace":{"type":"boolean","default":false,"description":"Is this for clarification?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Is this for returns?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Should this storage bin be considered when determining the available quantities?"},"state":{"type":"string","description":"Storage bin status.","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"heightInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"widthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"depthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"}}},"core-api-QueryPageableApi":{"description":"Paging","properties":{"sort":{"type":"string","description":"List of fields for the sorting (comma separated)."},"_start":{"type":"integer","format":"int32","description":"Start-Offset"},"_limit":{"type":"integer","format":"int32","description":"Result limit."},"_order":{"type":"string","description":"Field sort direction (asc/desc, list, comma separated)."}}},"erp-stock-StorageBinSelectionApi.Range":{"description":"Selection range from and to.","properties":{"from":{"type":"number"},"to":{"type":"number"}}},"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## POST /wms/inventories/{id}/redo-countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/redo-countings":{"post":{"tags":["Inventory"],"operationId":"redoCountings","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"allPositions","in":"query","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Inventory counting list line.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Area in the storage."},"quantity":{"type":"number","description":"Counted quantity."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Was this counting created by an article found afterwards?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/inventories/{id}/generate-countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/generate-countings":{"post":{"tags":["Inventory"],"operationId":"generateCountings","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"onlyArticlesWithStock","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"articlesThatWereOnceInStock","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"inactiveArticles","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Inventory counting list line.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Area in the storage."},"quantity":{"type":"number","description":"Counted quantity."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Was this counting created by an article found afterwards?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## GET /wms/inventories/{id}/countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/countings":{"get":{"tags":["Inventory"],"operationId":"getInventoryCountings","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"revision","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Inventory counting list line.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Area in the storage."},"quantity":{"type":"number","description":"Counted quantity."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Was this counting created by an article found afterwards?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/inventories/{id}/countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/countings":{"post":{"tags":["Inventory"],"operationId":"createInventoryCounting","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Inventory counting list line.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Area in the storage."},"quantity":{"type":"number","description":"Counted quantity."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Was this counting created by an article found afterwards?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/inventories/{id}/addStorageBins

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/addStorageBins":{"post":{"tags":["Inventory"],"operationId":"addStorageBinsToInventory","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinSelectionApi":{"description":"Selection criteria for determining storage bins.","properties":{"pageable":{"$ref":"#/components/schemas/core-api-QueryPageableApi"},"storageId":{"type":"integer","format":"int64","description":"Storage a storage bin belongs to."},"storageAreaId":{"type":"integer","format":"int64","description":"Storage area a storage bin belongs to."},"onlyWithoutStorageArea":{"type":"boolean","default":false,"description":"Only storage bins without a storage area."},"defaultBin":{"type":"boolean","default":false,"description":"Default storage bin of a storage (only relevant for storages without storage bins)."},"level1":{"type":"string","description":"Level 1."},"level2":{"type":"string","description":"Level 2."},"level3":{"type":"string","description":"Level 3."},"level4":{"type":"string","description":"Level 4."},"level5":{"type":"string","description":"Level 5."},"level6":{"type":"string","description":"Level 6."},"shelfSpace":{"type":"boolean","default":false,"description":"Is this a normal shelf space?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Is this for incoming goods?"},"palletSpace":{"type":"boolean","default":false,"description":"Is this for pallets and replenishment quantities?"},"clarifySpace":{"type":"boolean","default":false,"description":"Is this for clarification?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Is this for returns?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Should this storage bin be considered when determining the available quantities?"},"state":{"type":"string","description":"Storage bin status.","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"heightInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"widthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"depthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"}}},"core-api-QueryPageableApi":{"description":"Paging","properties":{"sort":{"type":"string","description":"List of fields for the sorting (comma separated)."},"_start":{"type":"integer","format":"int32","description":"Start-Offset"},"_limit":{"type":"integer","format":"int32","description":"Result limit."},"_order":{"type":"string","description":"Field sort direction (asc/desc, list, comma separated)."}}},"erp-stock-StorageBinSelectionApi.Range":{"description":"Selection range from and to.","properties":{"from":{"type":"number"},"to":{"type":"number"}}},"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## POST /wms/inventories/process-input

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/process-input":{"post":{"tags":["Inventory"],"operationId":"processInput_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryProcessingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryProcessingResponse"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryProcessingRequest":{"properties":{"inputData":{"type":"string","description":"User input or scan."},"inventoryId":{"type":"integer","format":"int64","description":"Current inventory identifier."},"areaToCount":{"type":"string","description":"Current inventory counting area."},"processedCountingIds":{"type":"array","description":"Identifiers of the currently recorded counting list lines of an inventory.","items":{"type":"integer","format":"int64","description":"Identifiers of the currently recorded counting list lines of an inventory."}},"lastProcessedCountingId":{"type":"integer","format":"int64","description":"Last processed line identifier of an inventory counting list."},"storageBinId":{"type":"integer","format":"int64","description":"Current storage bin identifier."},"articleId":{"type":"integer","format":"int64","description":"Current article identifier."},"serialNumberId":{"type":"integer","format":"int64","description":"Identifier of the current serial number or lot."},"manualQuantityChange":{"type":"number","description":"Manual quantity change."},"absoluteManualQuantityChange":{"type":"boolean"}}},"erp-wms-InventoryProcessingResponse":{"properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"inventory":{"$ref":"#/components/schemas/erp-wms-Inventory"},"areaToCount":{"type":"string","description":"Inventory counting area to count."},"inventoryCountings":{"type":"array","description":"Currently recorded counting list lines of an inventory.","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}},"lastProcessedCountingId":{"type":"integer","format":"int64","description":"Last processed line identifier of the counting list."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-wms-Inventory":{"description":"Inventory header.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventory number.","readOnly":true},"label":{"type":"string","description":"Inventory label.","minLength":1},"description":{"type":"string","description":"Inventory description."},"type":{"type":"string","description":"Inventory types.","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Inventory status.","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Inventory cut-off date."},"currentRevision":{"type":"integer","format":"int32","description":"Current inventory revision.","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Storage in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Specific storage areas of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Specific storage bins of the storage that are then the only ones counted.","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Areas in the storage defined for this inventory (to distinguish the counting lists).","items":{"type":"string","description":"Areas in the storage defined for this inventory (to distinguish the counting lists)."}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Storage area in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Storage bin in the inventory.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryCounting":{"description":"Inventory counting list line.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Area in the storage."},"quantity":{"type":"number","description":"Counted quantity."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Was this counting created by an article found afterwards?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"erp-stock-StorageBinRef":{"description":"Storage bin.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"displayName":{"type":"string","description":"Display name."},"routePosition":{"type":"integer","format":"int32","description":"Route position."},"color":{"type":"string","description":"Display color."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## GET /wms/inventories/{id}/differences

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Inventory","description":"Inventory API."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/inventories/{id}/differences":{"get":{"tags":["Inventory"],"operationId":"getInventoryDifferences","parameters":[{"name":"id","in":"path","description":"Inventory identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryDifference"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryDifference":{"description":"Inventory difference list line.","properties":{"inventoryId":{"type":"integer","format":"int64","description":"Inventory."},"articleId":{"type":"integer","format":"int64","description":"Article."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"storageBinId":{"type":"integer","format":"int64","description":"Storage bin that was counted."},"storageBinDisplayName":{"type":"string","description":"Display name of the storage bin that was counted.","readOnly":true},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purchasePrice":{"type":"number","description":"Purchase price."},"averagePurchasePrice":{"type":"number","description":"DEK"},"priceUnit":{"type":"number","description":"Price unit the purchase price and the average purchase price refer to."},"targetStock":{"type":"number","description":"Target stock."},"actualStock":{"type":"number","description":"Actual stock."},"diffStock":{"type":"number","description":"Stock: difference between target and actual."},"targetValue":{"type":"number","description":"Target value."},"actualValue":{"type":"number","description":"Actual value."},"diffValue":{"type":"number","description":"Value: difference between target and actual."},"targetAverage":{"type":"number","description":"Target average value."},"actualAverage":{"type":"number","description":"Actual average value."},"diffAverage":{"type":"number","description":"Average value: difference between target and actual."},"revision":{"type":"integer","format":"int32","description":"Counting revision.","readOnly":true}},"required":["articleId","inventoryId","storageBinId"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/inventory.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
